Forward API リファレンス。
Description
Creates a Vault and sets its metadata.
パス
POST /api/v1/forward/vaults
リクエストヘッダー
| ヘッダー | 必須 | 説明 |
|---|---|---|
Authorization | はい | Bearer <PAT または SAT> |
Idempotency-Key | いいえ | 作成リクエスト用の任意の冪等性キーです。同じキーは同一リクエストにのみ再利用できます。省略した場合、ローカルの冪等リプレイ保護は提供されません。 |
Content-Type | はい | application/json |
クエリパラメーター
| Parameter | Type | Required | Description |
|---|---|---|---|
identity_id | string | No | Identity に属するリソースを操作する場合のみ使用する任意のパラメーターです。PAT では明示的に指定でき、省略時は管理者スコープになります。SAT では Identity スコープのトークンを発行し、このパラメーターを明示的に指定しないでください。指定すると HTTP 400 が返されます。Identity の帰属. |
リクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
display_name | string | はい | Vault 表示名。 |
metadata | object | No | Metadata object. created_by is reserved and must not be supplied (supplying it returns 400). |
リクエスト例
レスポンス例
HTTP 201 Created
レスポンスフィールド
| フィールド | 型 | 説明 |
|---|---|---|
id | string | Vault ID。 |
type | string | 固定値 vault。 |
display_name | string | Vault 表示名。 |
metadata | object | Vault メタデータ。 |
created_at | string | RFC 3339 形式の作成日時。 |
updated_at | string | RFC 3339 形式の最終更新日時。 |
identity_id | string/null | Owning Forward identity; the Identity ID for an Identity-owned resource, or null otherwise. |
エラー
| HTTP | Type | 発生条件 |
|---|---|---|
| 400 | invalid_request_error | The request body, path parameters, or query parameters are invalid. SAT が identity_id を明示的に指定した場合も返されます。 |
| 400 | invalid_request_error | If the reserved key created_by is supplied, message is metadata key "created_by" is reserved, identifying the invalid field. |
| 401 | authentication_error | 認証トークンがないか、無効です。 |
| 403 | permission_error | identity_id を指定しない PAT または Admin SAT で Owner mismatch が発生したか、その他の権限が不足しています。 |
| 404 | not_found_error | identity_id is invalid, disabled, or does not belong to the caller, or the target resource does not belong to the current Identity scope. |
| 409 | conflict_error | リソース状態、参照関係、または冪等性キーが競合しています。 |
| 500/502/503 | api_error | Forward または依存サービスでエラーが発生しました。 |

